package com.atguigu.ssyx.activity.mapper;

import com.atguigu.ssyx.model.activity.ActivityInfo;
import com.atguigu.ssyx.model.activity.ActivityRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import feign.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 活动表 Mapper 接口
 * </p>
 *
 * @author atguigu
 * @since 2023-09-17
 */
@Repository
public interface ActivityInfoMapper extends BaseMapper<ActivityInfo> {

    List<ActivityRule> selectActivityRuleList(Long skuId);

    List<Long> selectSkuIdListExist(@Param("skuIdList") List<Long> skuIdList);
}
